#!/bin/sh
#
# Shell script to install In-band SCSI Driver.
 
cd ..
SRCDIR=`pwd`
OSDIR=${SRCDIR}/solaris7.x86
COMDIR=${SRCDIR}/common

more << "EOF"

        *************************************************************
                In-band SCSI Driver Installlation Procedure
        *************************************************************

*NOTE: You need to install inband driver before you can manage stand-alone RAID controller.

EOF
 
echo "Would you like to install In-band SCSI Driver now ?"
agreed=
while [ x$agreed = x ]; do
    echo "Please type yes or no."
    read reply 
    case $reply in
       y* | Y*)
          cp -f ${OSDIR}/dasc32/dasc.ori /usr/kernel/drv/dasc > /dev/null 2>&1
          cp -f ${OSDIR}/dasc32/dasc.con /usr/kernel/drv/dasc.conf > /dev/null 2>&1
          ${OSDIR}/dasc32/dascinst.sh
		  cp -f ${OSDIR}/uninband.sh /usr/bin/ > /dev/null 2>&1
          echo
          echo "Install In-band SCSI Driver Finished !";
          echo 
#          echo "!!! You need to restart system to get In-band SCSI Driver started !!!"
          agreed=1;;
       n* | N*)
          echo "Install In-band SCSI Driver canceled !";
          agreed=1;;
    esac
done
